/*
 * Bean Pompier
 */
package com.test.beans;

import java.util.Objects;

/**
 *
 * @author Dominique_2
 */
public class Pompier {
    private int id;
    private String civilite;
    private String nom;
    private String prenom;
    private String mdp;
    private  int adrNo;
    private String adrRue;
    private String adrVille;
    private String adrCP;
    private String adrmail;
    private String tel;
    private String dateNais;

    public Pompier() {
    }

    /**
     * Constructeur entier
     * @param id
     * @param civilite
     * @param nom
     * @param prenom
     * @param mdp
     * @param adrNo
     * @param adrRue
     * @param adrVille
     * @param adrCP
     * @param adrmail
     * @param tel
     * @param dateNais 
     */
    public Pompier(int id, String civilite, String nom, String prenom, String mdp, int adrNo, String adrRue, String adrVille, String adrCP, String adrmail, String tel, String dateNais) {
        this(civilite, nom, prenom, mdp, adrNo, adrRue, adrVille, adrCP, adrmail, tel, dateNais);
        this.id = id;      
    }

    /**
     * Constructeur sans id
     * @param civilite
     * @param nom
     * @param prenom
     * @param mdp
     * @param adrNo
     * @param adrRue
     * @param adrVille
     * @param adrCP
     * @param adrmail
     * @param tel
     * @param dateNais 
     */
    public Pompier(String civilite, String nom, String prenom, String mdp, int adrNo, String adrRue, String adrVille, String adrCP, String adrmail, String tel, String dateNais) {
        this.civilite = civilite;
        this.nom = nom;
        this.prenom = prenom;
        this.mdp = mdp;
        this.adrNo = adrNo;
        this.adrRue = adrRue;
        this.adrVille = adrVille;
        this.adrCP = adrCP;
        this.adrmail = adrmail;
        this.tel = tel;
        this.dateNais = dateNais;
    }
    
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getCivilite() {
        return civilite;
    }

    public void setCivilite(String civilite) {
        this.civilite = civilite;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public String getMdp() {
        return mdp;
    }

    public void setMdp(String mdp) {
        this.mdp = mdp;
    }

    public int getAdrNo() {
        return adrNo;
    }

    public void setAdrNo(int adrNo) {
        this.adrNo = adrNo;
    }

    public String getAdrRue() {
        return adrRue;
    }

    public void setAdrRue(String adrRue) {
        this.adrRue = adrRue;
    }

    public String getAdrVille() {
        return adrVille;
    }

    public void setAdrVille(String adrVille) {
        this.adrVille = adrVille;
    }

    public String getAdrCP() {
        return adrCP;
    }

    public void setAdrCP(String adrCP) {
        this.adrCP = adrCP;
    }

    public String getAdrmail() {
        return adrmail;
    }

    public void setAdrmail(String adrmail) {
        this.adrmail = adrmail;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getDateNais() {
        return dateNais;
    }

    public void setDateNais(String dateNais) {
        this.dateNais = dateNais;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 17 * hash + this.id;
        hash = 17 * hash + Objects.hashCode(this.civilite);
        hash = 17 * hash + Objects.hashCode(this.nom);
        hash = 17 * hash + Objects.hashCode(this.prenom);
        hash = 17 * hash + Objects.hashCode(this.mdp);
        hash = 17 * hash + this.adrNo;
        hash = 17 * hash + Objects.hashCode(this.adrRue);
        hash = 17 * hash + Objects.hashCode(this.adrVille);
        hash = 17 * hash + Objects.hashCode(this.adrCP);
        hash = 17 * hash + Objects.hashCode(this.adrmail);
        hash = 17 * hash + Objects.hashCode(this.tel);
        hash = 17 * hash + Objects.hashCode(this.dateNais);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Pompier other = (Pompier) obj;
        if (this.id != other.id) {
            return false;
        }
        if (this.adrNo != other.adrNo) {
            return false;
        }
        if (!Objects.equals(this.civilite, other.civilite)) {
            return false;
        }
        if (!Objects.equals(this.nom, other.nom)) {
            return false;
        }
        if (!Objects.equals(this.prenom, other.prenom)) {
            return false;
        }
        if (!Objects.equals(this.mdp, other.mdp)) {
            return false;
        }
        if (!Objects.equals(this.adrRue, other.adrRue)) {
            return false;
        }
        if (!Objects.equals(this.adrVille, other.adrVille)) {
            return false;
        }
        if (!Objects.equals(this.adrCP, other.adrCP)) {
            return false;
        }
        if (!Objects.equals(this.adrmail, other.adrmail)) {
            return false;
        }
        if (!Objects.equals(this.tel, other.tel)) {
            return false;
        }
        if (!Objects.equals(this.dateNais, other.dateNais)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Client{" + "id=" + id + ", civilite=" + civilite + ", nom=" + nom + ", prenom=" + prenom + ", mdp=" + mdp + ", adrNo=" + adrNo + ", adrRue=" + adrRue + ", adrVille=" + adrVille + ", adrCP=" + adrCP + ", adrmail=" + adrmail + ", tel=" + tel + ", dateNais=" + dateNais + '}';
    }
            
}
